export interface BaseLocationVO {
  /**
   * 表主键
   */
  locationId: string | number;

  /**
   * 所属仓库
   */
  warehouseId: string | number;

  /**
   * 库位编码
   */
  locationCode: string;

  /**
   * 排
   */
  lineNum: number;

  /**
   * 层
   */
  layerNum: number;

  /**
   * 位
   */
  locationNum: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseLocationForm extends BaseEntity {
  /**
   * 表主键
   */
  locationId?: string | number;
  /**
   * 所属仓库
   */
  warehouseId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 排
   */
  lineNum?: number;

  /**
   * 层
   */
  layerNum?: number;

  /**
   * 位
   */
  locationNum?: number;

}

export interface BaseLocationQuery extends PageQuery {

  /**
   * 所属仓库
   */
  warehouseId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 排
   */
  lineNum?: number;

  /**
   * 层
   */
  layerNum?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



